:root {
  --black: #000000;
  --blue: #1A659E;
  --bkcoral: #505D68;
  --lsblue: #B4CDED;
  --ltgrey: #CCD0D6;
  --dkpurp: #33202A;
  --rsblk: #2A2729;
  --pink: #E072A4;
  --hegry: #B29EA7;
  --font-size: 1.3rem;
  --mono: "Oxygen mono", monospace;
  --sans: Oxygen, sans-serif;
}

html {
  box-sizing: border-box;
}
*,
*::before,
*::after {
  box-sizing: inherit;
}

body {
  padding: 0;
  margin: 0;
  font-family: var(--sans);
  background-color: var(--black);
  color: var(--ltgrey);
  font-size: var(--font-size)
}

h1, h2, h3 {
  margin: 0;
}

a {
  color: var(--lsblue);
}

a:hover {
  color: var(--blue);
  text-decoration: none;
}

img {
  width: 100%;
}


/* background color divs */
.section-purple {
  background-color: var(--dkpurp);
}

.section-proj {
  background-color: var(--blue);
}


/* gradient */
.gradient {
  height: 2px;
  background: linear-gradient(90deg, rgba(26,101,158,1) 40%, rgba(224,114,164,1) 100%);
}

/* navigation */

nav {
  font-family : var(--mono);
  font-size: 80%;
  padding: 1rem;
}

nav h1 a {
  font-family: var(--sans);
}

nav ul {
  list-style-type: none;
  padding: 0;
  margin: 0;
  display: flex;
  flex-flow: row wrap;
  justify-content: center;
  align-items: center;
  gap: 2rem;
}

nav li:first-child {
  flex-basis: 100%;
  text-align: center;
}

nav [class*="fa-"] {
  font-size: 150%;
  color: var(--pink);
}

nav [class*="fa-"]:hover {
  color: var(--ltgrey);
}

nav h1 [class*="fa-"] {
  font-size: 100%;
  color: var(--pink);
}

nav h1 [class*="fa-"]:hover {
  color: var(--pink)
}

nav a {
  color: var(--blue);
  text-decoration: none;
  display: block;
}

nav a:hover {
  color: var(--ltgrey)
}

.button {
  background-color: var(--pink);
  padding: 0.5rem;
  border-radius: 5px;
  color: var(--black);
  font-family: var(--mono);
  text-decoration: none;
}

.button:hover {
  background-color: var(--lsblue);
  color: var(--pink);
}

@media (min-width: 850px){
  nav {
    max-width: 1200px;
    margin: 0 auto;
  }
  nav li:first-child {
    flex-basis: auto;
    text-align: left;
    margin-right: auto;
  }
  
}

/* intro styles */

#intro {
  padding: 4rem 1rem 10rem 1rem;
  max-width: 1200px;
  margin: 0 auto;
}

#intro p {
  font-size: 1rem;
  line-height: 1.5;
}

#intro .name {
  font-family: var(--mono);
}

.name span {
  font-family: var(--sans);
  font-size: 4rem;
  color: var(--blue);
  display: block;
}

#intro h2 {
  font-size: 4rem;
  font-weight: normal;
}

/* Projects */

#projects {
  padding: 4rem 1rem;
  color: var(--ltgrey);
}

#projects h2 {
  font-size: 2.5rem;
  margin-bottom: calc(2.5rem * 1.5);
}

#projects h3 {
  color: var(--pink);
}

#projects h4 {
  font-size: 1rem;
  font-family: var(--mono);
  margin: 0;
}

.blackbox {
  background-color: var(--black);
  color: var(--lsblue);
  padding: 1rem;
  border-radius: 10px;
  font-size: 1rem;
  line-height: 1.5;
}

#projects ul {
  list-style-type: none;
  padding: 0;
  margin: 0;
  display: flex;
  flex-flow: row wrap;
  justify-content: flex-start;
  gap: 1rem;
  font-size: 1rem;
}

#projects img {
  margin: 2rem 0 4rem 0;
  border-left: 1px solid var(--pink);
  border-top: 1px solid var(--pink);
  border-radius: 25px;
  padding: 1rem;
}

@media (min-width: 550px) {
  article {
    display: grid;  
    grid-template-columns: repeat(10, 1fr);
  }
  #projects {
    max-width: 1200px;
    margin: 0 auto;
  }

  #projects img {
    grid-column: 1/6;
    grid-row: 1/3;
  }

  .text {
    grid-column: 5/11;
    grid-row: 1/2;
    order: 2;
    text-align: right;
  }

  #projects ul {
    justify-content: flex-end;
  }

  #projects .reverse .text {
    grid-column: 1/7;
    order: 2;
    text-align: left;
  }

  #projects .reverse img {
    grid-column: 6/11;
    grid-row: 1/2;
    border-left: 0px solid var(--pink);
    border-right: 1px solid var(--pink);
  }

  #projects .reverse ul {
    justify-content: flex-start;
  }
}
/* contact */

#contact {
  width: 400px;
  text-align: center;
  margin: 0 auto;
  padding: 3rem 0;
}

#contact h2 {
  color: var(--pink)
}

/* footer */

footer {
  text-align: center;
  padding: 4rem 0;
}

footer ul {
  list-style-type: none;
  padding: 0;
  margin: 2rem 0;
  display: flex;
  flex-flow: row wrap;
  justify-content: center;
  gap: 3rem;
  font-size: 3rem;
}